---
title: DeviceOrientationEvent.gamma
slug: Web/API/DeviceOrientationEvent/gamma
tags:
  - API
  - Device Orientation API
  - DeviceOrientationEvent
  - NeedsBetterSpecLink
  - NeedsExample
  - NeedsMarkupWork
  - Property
  - Reference
---
<p>{{ apiref("Device Orientation Events") }}</p>

<p>Returns the rotation of the device around the Y axis; that is, the number of degrees, ranged between <code>-90</code> and <code>90</code>, by which the device is tilted left or right. See <a href="/en/DOM/Orientation_and_motion_data_explained" title="Orientation and motion data explained">Orientation and motion data explained</a> for details.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var gamma = <em>orientationEvent</em>.gamma;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Device Orientation')}}</td>
   <td>{{Spec2('Device Orientation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceOrientationEvent.gamma")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("DeviceOrientationEvent") }}</li>
 <li><a href="/en/Detecting_device_orientation" title="Detecting device orientation">Detecting device orientation</a></li>
 <li><a href="/en/DOM/Orientation_and_motion_data_explained" title="Orientation and motion data explained">Orientation and motion data explained</a></li>
 <li>{{ domxref("window.ondeviceorientation") }}</li>
 <li>{{ event("deviceorientation") }}</li>
</ul>
